<?php get_header(); ?>

<?php include(TEMPLATEPATH .'/includes/slide.php'); ?>

<?php include('sidebar2.php'); ?>

<div id="contentwrap">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
              <div class="inside">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

				<div class="entry">
                <?php if ( function_exists( 'get_the_image' ) ) {
            get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'full', 'image_class' => 'alignleft', 'width' => '175', 'height' => '130' ) ); }
            ?>
					<?php the_content(''); ?>
                    <?php the_tags(); ?>
 				</div>

                 <div class="meta">
                 <span class="author">Опубликовал <?php the_author(); ?></span>&nbsp;
                 <span class="date"><?php the_time('M d\t\h Y'); ?></span>
                 <span class="cat">Опубликовано в рубрике <?php the_category(', ') ?></span> <span class="edit"><?php edit_post_link('Редактировать', '', ' | '); ?></span> &nbsp;<span class="comm"><?php comments_popup_link('Комментариев нет &#187;', '1 комментарий &#187;', '% комментариев &#187;'); ?></span>
                </div>
			</div>
			</div>

		<?php endwhile; ?>

                <?php comments_template('', true); ?>

		<div class="navigation">
        <?php
            include('includes/wp-pagenavi.php');
            if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
        ?>
		</div>

	<?php else : ?>

		<h2 class="center">Не найдено</h2>
		<p class="center">Извините, но по Вашему запросу ничего не было найдено.</p>
		<?php get_search_form(); ?>

	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
</div>
<?php include('sidebar-bottom.php'); ?>
<?php get_footer(); ?>